支持将 ESXi/ESX 作为嵌套虚拟化解决方案运行
search cancel

支持将 ESXi/ESX 作为嵌套虚拟化解决方案运行

book

Article ID: 301136

calendar_today

Updated On:

Products

VMware VMware Desktop Hypervisor VMware vSphere ESXi

Issue/Introduction

免责声明:本文为 Support for running ESXi/ESX as a nested virtualization solution (2009916) 的翻译版本。尽管我们会不断努力为本文提供最佳翻译版本,但本地化的内容可能会过时。有关最新内容,请参见英文版本。



本文提供了有关支持将 ESXi/ESX 作为嵌套虚拟化解决方案运行的信息。


Environment

VMware Player 7.x (Linux)
VMware Fusion 8.x
VMware Server 1.0.x (Linux)
VMware vSphere ESXi 5.0
VMware Fusion 7.x
VMware Player Pro 7.x (Windows)
VMware Player 6.x (Windows)
VMware Fusion 4.x
VMware Player 2.x (Linux)
VMware ESX 4.0.x
VMware Server 1.0.x (Windows)
VMware Workstation 9.x (Windows)
VMware Workstation 8.x (Windows)
VMware Workstation 11.x (for Windows)
VMware ESX Server 3.5.x
VMware vSphere ESXi 5.1
VMware Player 2.x (Windows)
VMware Player 3.x (Linux)
VMware ESXi 4.1.x Installable
VMware Workstation 11.x (for Linux)
VMware ESXi 3.5.x Installable
VMware Fusion Pro 8.x
VMware Player Pro 7.x (Linux)
VMware Player 5.x (Linux)
VMware ESXi 3.5.x Embedded
VMware Workstation 8.x (Linux)
VMware Player 4.x (Windows)
VMware Workstation 10.x (Windows)
VMware Workstation 7.x (Linux)
VMware Server 2.0.x (Windows)
VMware vSphere ESXi 6.0
VMware Workstation 10.x (Linux)
VMware Workstation Player 12.x (Linux)
VMware Workstation 9.x (Linux)
VMware Player 7.x (Windows)
VMware Player 6.x (Linux)
VMware Player 4.x (Linux)
VMware Fusion 3.x
VMware Server 2.0.x (Linux)
VMware Player 3.x (Windows )
VMware Player 5.x (Windows)
VMware ESXi 4.0.x Installable
VMware ESXi 4.0.x Embedded
VMware Workstation Player 12.x (Windows)
VMware vSphere ESXi 5.5
VMware Fusion 6.x
VMware Fusion 5.x
VMware ESXi 4.1.x Embedded
VMware ESX 4.1.x
VMware ESX Server 3.0.x
VMware Workstation 7.x (Windows)

Resolution

运行嵌套 ESXi/ESX 的客户将需要获取该嵌套 ESXi/ESX 的其他许可证。

VMware 不支持在生产环境中运行嵌套 ESXi/ESX Server。这包括但不限于:
  • 在 VMware Workstation 或 VMware Fusion 中运行 VMware ESXi/ESX
  • 在 VMware ESXi/ESX 中运行 VMware ESXi/ESX
  • 在其他第三方管理程序解决方案中运行 VMware ESXi/ESX
注意:有一个例外是作为嵌套 ESXi 安装的 vSAN 见证 (Witness) 设备。有关详细信息,请参见 Administering VMware Virtual SAN guide 中的“部署 Virtual SAN 见证 (Witness) 设备”部分。

在嵌套配置下运行 ESXi/ESX 的环境在 VMware 支持和服务级别协议范围之外。如果您遇到此类问题,VMware 没有义务立即确认或调查,或者提供解决方案。但是,VMware 欢迎您提供可轻松重现的应用场景,以便我们的工程师通过在我们的 VMware communities Nested Virtualization forum 中讨论来进行调查。


Additional Information

VMware 已知在生产环境中运行嵌套管理程序时有多个限制。

ESXi/ESX 已严格控制实时限制,这些限制无法始终满足管理程序需要与主机操作系统共享对物理硬件的控制的虚拟化环境。尤其在诸如 VMware Workstation 和 VMware Fusion 等托管产品中会存在此问题。

尽管存在这些限制,但仍可以运行嵌套在 VMware Workstation、VMware Fusion 和 VMware vSphere 中的 ESXi/ESX。许多用户已表明其在用于了解 VMware 的服务器产品时运行良好。因此,我们鼓励 VMware 认证的专业人员 (VCP) 及其他技术专业人员使用嵌套技术了解 VMware 的服务器产品、尝试服务器设置、开展培训、展示演示以及测试配置。

ESXi/ESX 在 VMware 托管产品上已知的可行配置(但仍不受支持)如下:

  • ESXi/ESX 4.0:需要 Workstation 7.0 或更高版本/Fusion 3.0 或更高版本
  • ESXi/ESX 4.1:需要 Workstation 8.0 或更高版本/Fusion 4.0 或更高版本
  • ESXi 5.0:需要 Workstation 8.0 或更高版本/Fusion 4.1 或更高版本
  • ESXi 5.1/5.5:需要 Workstation 9.0 或更高版本/Fusion 5.0 或更高版本

有关详细信息,请参见技术报告 Bounding the Running time of Interrupt and Exception Forwarding in Recursive Virtualization for the x86 Architecture

Support for running ESXi/ESX as a nested virtualization solution

Impact/Risks:
VMware 当前无法确保嵌套部署的生产等级可靠性,并且不支持此配置。